Skip to main content
`Ctrl`+`K`

# KSPMonitorSNESResidualDrawLGCreate

Creates the `PetscViewer` used by `KSPMonitorSNESResidualDrawLG()`

## Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode KSPMonitorSNESResidualDrawLGCreate(PetscViewer viewer, PetscViewerFormat format, void *ctx, PetscViewerAndFormat **vf)

Collective

## Input Parameters

- viewer - The `PetscViewer`

- format - The viewer format

- ctx - An optional user context

## Output Parameter

- vf - The viewer context

## See Also

SNES: Nonlinear Solvers, `KSP`, `SNES`, `PetscViewerFormat`, `PetscViewerAndFormat`, `KSPMonitorSet()`, `KSPMonitorTrueResidual()`

## Level

intermediate

## Location

src/snes/interface/snesut.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages